<?php if (!defined('PmWiki')) exit();

/*	Copyright 2007 Carlos A. Bonamigo (carlosab@gmail.com)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2, or (at your option)
	any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

SDV($RecipeInfo['ExportDOC']['Version'], '2007-04-20');

SDV($HandleActions['doc'], 'HandleDOC');
SDV($ActionSkin['doc'], 'exportdoc');

function HandleDOC($pagename, $auth=read){

global $FmtV, $HTTPHeaders, $PageStartFmt, $PageEndFmt, $Charset;

$page = RetrieveAuthPage($pagename, $auth, true, READPAGE_CURRENT);
if (PageExists($pagename)) $text = @$page['text'];
$opt = array();
$text = '(:groupheader:)'.@$text.'(:groupfooter:)';
$FmtV['$PageText'] = MarkupToHTML($pagename, $text, $opt);

SDV($DocContentType, 'application/vnd.ms-word');

$HTTPHeaders = array(
  "Expires: Tue, 01 Jan 2002 00:00:00 GMT",
  "Cache-Control: no-store, no-cache, must-revalidate",
  "Content-Type: $DocContentType;charset=$Charset",
  "Content-disposition: attachment;filename=$pagename.doc");

foreach($HTTPHeaders as $h) header($h);

SDV($HandleDocFmt, array(&$PageStartFmt, '$PageText', &$PageEndFmt));

PrintFmt($pagename,$HandleDocFmt);
}

